# $Revision: 1.30.2.2 $, $Date: 2003/04/28 12:51:50 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTTP
%define	pnam	Request-Form
Summary:	HTTP::Request::Form - Construct HTTP::Request objects for form processing
Summary(pl):	HTTP::Request::Form - tworzenie obiektw HTTP::Request do przetwarzania formularzy
Name:		perl-HTTP-Request-Form
Version:	0.952
Release:	4
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-HTML-Tree
BuildRequires:	perl-URI
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an extension of the HTTP::Request suite. It allows easy
processing of forms in a user agent by filling out fields, querying
fields, selections and buttons and pressing buttons. It uses
HTML::TreeBuilder generated parse trees of documents (especially the
forms parts extracted with extract_links) and generates it's own
internal representation of forms from which it then generates the
request objects to process the form application.

%description -l pl
Ten modu jest rozszerzeniem zestawu HTTP::Request. Pozwala na atwe
przetwarzanie formularzy po stronie klienta poprzez wypenianie pl,
odczyt zawartoci pl, zaznaczanie oraz naciskanie przyciskw. Uywa
wygenerowanych przez HTML::TreeBuilder drzew analizy dokumentw
(szczeglnie do czci formularzy wycignitych przez extract_links) i
generuje wasn wewntrzn reprezentacj formularzy, z ktrych
nastpnie generuje obiekty da do przetworzenia caoci.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/HTTP/Request/Form.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-HTTP-Request-Form.spec,v $
Revision 1.30.2.2  2003/04/28 12:51:50  ankry
- really rel++

Revision 1.30.2.1  2003/03/13 00:57:39  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.30  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.29  2003/02/18 15:33:24  ankry
- massive attack: change CPAN URLs

Revision 1.28  2002/08/14 23:39:17  qboosh

- pl description, release 3

Revision 1.27  2002/08/11 19:36:48  radek
- release up

Revision 1.26  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.25  2002/07/20 10:19:59  qboosh
- BR: perl-HTML-Tree

Revision 1.24  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.23  2002/07/11 07:59:55  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:47:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:32:15  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:17:35  depesz
automatic: Source location unfied, Relase Up

Revision 1.17  2002/02/10 15:27:21  depesz
adapterized

Revision 1.16  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.14  2001/09/20 11:36:27  mis
- autoupdated to 0.951

Revision 1.13  2001/08/27 11:08:47  mis
- autoupdated to 0.95

Revision 1.12  2001/04/17 12:10:42  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/08 21:37:56  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.9  2000/09/05 01:05:23  kloczek
- updated to 0.7.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 18:11:40  pius
- updated to 0.5
- removed perl-HTML-Tree from BuildRequires

Revision 1.2  1999/11/05 18:42:14  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/01 21:51:12  pius
- initial release
